From 07e24624ced60de5becd105ecab906d15bd128b9 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Tue, 10 May 2022 21:44:04 +0200
Subject: [PATCH 03/14] Convert slurm_conf.slurm_user_id ->
 slurm_get_slurm_user_id()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/api/reconfigure.c           | 2 +-
 src/common/slurm_protocol_api.c | 4 ++--
 src/slurmctld/backup.c          | 2 +-
 src/slurmctld/controller.c      | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/api/reconfigure.c b/src/api/reconfigure.c
index 789a060777..f55f9e3c86 100644
--- a/src/api/reconfigure.c
+++ b/src/api/reconfigure.c
@@ -157,7 +157,7 @@ static int _send_message_controller(int dest, slurm_msg_t *req)
 		slurm_seterrno_ret(SLURMCTLD_COMMUNICATIONS_CONNECTION_ERROR);
 	}
 
-	slurm_msg_set_r_uid(req, slurm_conf.slurm_user_id);
+	slurm_msg_set_r_uid(req, slurm_get_slurm_user_id());
 	if (slurm_send_node_msg(fd, req) < 0) {
 		close(fd);
 		slurm_seterrno_ret(SLURMCTLD_COMMUNICATIONS_SEND_ERROR);
diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index 44a70a1d25..5668c945f1 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -4551,7 +4551,7 @@ static void _resp_msg_setup(slurm_msg_t *msg, slurm_msg_t *resp_msg,
 	 */
 	if (!msg->auth_uid_set)
 		slurm_msg_set_r_uid(resp_msg, SLURM_AUTH_NOBODY);
-	else if ((msg->auth_uid != slurm_conf.slurm_user_id) &&
+	else if ((msg->auth_uid != slurm_get_slurm_user_id()) &&
 		 (msg->auth_uid != slurm_get_slurmd_user_id()))
 		slurm_msg_set_r_uid(resp_msg, msg->auth_uid);
 	else
@@ -4966,7 +4966,7 @@ extern int slurm_send_only_controller_msg(slurm_msg_t *req,
 		goto cleanup;
 	}
 
-	slurm_msg_set_r_uid(req, slurm_conf.slurm_user_id);
+	slurm_msg_set_r_uid(req, slurm_get_slurm_user_id());
 
 	if ((rc = slurm_send_node_msg(fd, req)) < 0) {
 		rc = SLURM_ERROR;
diff --git a/src/slurmctld/backup.c b/src/slurmctld/backup.c
index 70cf9e2750..63b7209265 100644
--- a/src/slurmctld/backup.c
+++ b/src/slurmctld/backup.c
@@ -613,7 +613,7 @@ static void *_shutdown_controller(void *arg)
 	xfree(arg);
 
 	slurm_msg_t_init(&req);
-	slurm_msg_set_r_uid(&req, slurm_conf.slurm_user_id);
+	slurm_msg_set_r_uid(&req, slurm_get_slurm_user_id());
 	slurm_set_addr(&req.address, slurmctld_conf.slurmctld_port,
 		       slurmctld_conf.control_addr[shutdown_inx]);
 	req.msg_type = REQUEST_CONTROL;
diff --git a/src/slurmctld/controller.c b/src/slurmctld/controller.c
index 611a4e210c..016bb00b74 100644
--- a/src/slurmctld/controller.c
+++ b/src/slurmctld/controller.c
@@ -2748,7 +2748,7 @@ static void *_shutdown_bu_thread(void *arg)
 	xfree(arg);
 
 	slurm_msg_t_init(&req);
-	slurm_msg_set_r_uid(&req, slurm_conf.slurm_user_id);
+	slurm_msg_set_r_uid(&req, slurm_get_slurm_user_id());
 	slurm_set_addr(&req.address, slurmctld_conf.slurmctld_port,
 		       slurmctld_conf.control_addr[bu_inx]);
 	req.msg_type = REQUEST_CONTROL;
-- 
2.35.3


